commit 1e18a1ba272721583e8290b13a6e5cde2b8b2ad1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Nov 24 00:24:53 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d7d6e491d6b..85d54e04889 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2024-11-23  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2024-11-23  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/117744
+	* config/avr/avr.cc (out_movqi_r_mr): Fix code when a load
+	only partially clobbers an address register due to
+	changing the address register temporally to accommodate for
+	faked addressing modes.
+
 2024-11-22  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index f69d3317a0a..eba8e1cb787 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241123
+20241124
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 0104ca2f6bf..317946c57c5 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,23 @@
+2024-11-23  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-11  Tomas Trnka  <trnka@scm.com>
+		    Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/116388
+	* class.cc (finalize_component): Leading underscore in the name
+	of 'byte_stride' to suppress invalid finalization.
+
+2024-11-23  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-11  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/109345
+	* trans-array.cc (gfc_get_array_span): Unlimited polymorphic
+	expressions are now treated separately since the span need not
+	be the same as the element size.
+
 2024-11-22  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index cb3eb6b0fb7..eabaca49d6e 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,47 @@
+2024-11-23  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-07-12  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* gm2-gcc/m2linemap.cc (INCLUDE_STRING): Define before
+	include of gcc-consolidation.h.
+	* gm2spec.cc (INCLUDE_STRING): Define before include of
+	system.h.
+	(INCLUDE_VECTOR): Ditto.
+
+2024-11-23  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-07-10  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/115823
+	* gm2-gcc/m2builtins.cc (struct builtin_macro_definition): New
+	field builtinname.
+	(builtin_function_match): New function.
+	(builtin_macro_match): Ditto.
+	(m2builtins_BuiltinExists): Use builtin_function_match and
+	builtin_macro_match.
+	(lookup_builtin_macro): Use builtin_macro_match.
+	(lookup_builtin_function): Use builtin_function_match.
+	(define_builtin): Assign builtinname field.
+
+2024-11-23  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-07-07  Gaius Mulley  <gaiusmod2@gmail.com>
+		    Stefan Schulze Frielinghaus   <stefansf@linux.ibm.com>
+		    Andrew Pinski   <quic_apinski@quicinc.com>
+
+	PR modula2/115804
+	* gm2-gcc/m2builtins.cc (builtin_function_entry): Add GTY.
+	(DoBuiltinMemCopy): Add rettype and use rettype in the call.
+	(DoBuiltinAlloca): Ditto.
+	(DoBuiltinIsfinite): Ditto.
+	(DoBuiltinIsnan): Ditto.
+	(m2builtins_BuiltInHugeVal): Ditto.
+	(m2builtins_BuiltInHugeValShort): Ditto.
+	(m2builtins_BuiltInHugeValLong): Ditto.
+
 2024-11-22  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index e0a97a92f59..d6391e72481 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,29 @@
+2024-11-23  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-11  Tomas Trnka  <trnka@scm.com>
+		    Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/116388
+	* gfortran.dg/finalize_58.f90: New test.
+
+2024-11-23  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-11  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/109345
+	* gfortran.dg/character_workout_1.f90: Cut trailing whitespace.
+	* gfortran.dg/pr109345.f90: New test.
+
+2024-11-23  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-07-10  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/115823
+	* gm2/builtins/run/pass/testalloa.mod: New test.
+
 2024-11-22  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:

